--mounting 3d model paths and texture paths 

mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")

mount_vfs_texture_path  (current_mod_path.."/Textures")
mount_vfs_sound_path   (current_mod_path.."/Sounds")






 
J_99A =  {
        
	Name 							=   'J-99A',
	DisplayName				= _('J-99A'),
	Countries						= {"China"},
	Cannon 						= "yes",
	HumanCockpit 			= true,
	HumanCockpitPath    	= current_mod_path..'/Cockpit/Scripts/',--current_mod_path..'/Cockpit/
	EmptyWeight	 			= "14500", 
    MaxTakeOffWeight 		= "33000", 
    MaxFuelWeight 			= "9400",
    MaxHeight 					= "18500", 
   	MaxSpeed 					= "2500", 
	Picture 						= "J-99A.png",
	Rate 							= 40, -- RewardPoint in Multiplayer多人游戏中的奖励点
	Shape 							= "J-99A",
	--WorldID = JH_7Y,
	shape_table_data 	= 
	{
		{
			file  	 					= 'J-99A';
			life  	 					= 20; -- lifebar生命
			vis   	 					= 3; -- visibility gain.
			desrt    				= 'J-99A-oblomok'; -- Name of destroyed object file name已销毁对象的名称文件名
			fire  	 					= { 300, 2}; -- Fire on the ground after destoyed: 300sec 2m地面火灾：300秒2米
			username				= 'J-99A';
			index    				=  WSTYPE_PLACEHOLDER;
		},
		{
			name  					= "J-99A-oblomok";
			file  						= "J-99A-oblomok";
			fire  						= { 240, 2};
		},

	},
	mapclasskey 				= "P0091000024",
	attribute  						= {wsType_Air, wsType_Airplane, wsType_Fighter, J_99A, "Multirole fighters", "Refuelable",},
	Categories					= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},
	-------------------------
    M_empty									=	14500, -- kg空重
	M_nominal								=	24000, -- kg ~ %50 fuel, combat load--千克~%50燃料，战斗负荷
	M_max										=	40000, -- kg   最大重量
	M_fuel_max								=	15000, -- kg  最大燃料
	H_max										=	18500, -- 最大高度
	average_fuel_consumption		=	0.01, -- 平均燃料消耗
	CAS_min									=	58,
	V_opt										=	170, -- 巡航m/s（用于AI）M0.8@20000英尺
	V_take_off								=	65, -- 起飞速度m/s（AI）〜190 kts
	V_land										=	65, -- 以m/s为单位的土地速度（AI）〜220 kts
	V_max_sea_level						=	403, -- 以m/s（对于AI）〜1.2马赫为单位的海平面最大速度
	V_max_h									=	694.7, -- 以m/s（对于AI）〜2.2mach@36000'=1262kts=649m/s为单位的最大高度速度
	Vy_max									=	325, -- 以m/s为单位的最大爬升速度（对于AI）〜400 kts TAS@10000'
	Mach_max								=	2.9, -- 马赫最大速度（对于AI）
	Ny_min									=	-3, -- 最小G值 (用于 AI)
	Ny_max									=	8, -- 最大G值 (用于 AI)
	Ny_max_e								=	7.5, -- 最大G值 (用于 AI)
	AOA_take_off							=	0.17, -- 起飞AoA（用于AI）
	bank_angle_max						=	60, -- 最大滚转角度（对于AI）
	
	
	has_afteburner							=	true, -- 是由拥有加力燃烧室
	has_speedbrake						=	true, -- 是否拥有减速板
	nose_gear_pos 						= 	{5.579,   -2.8858, -0.000}, -- 前起落架坐标
    main_gear_pos 						= 	{-1.969,  -2.8858, -1.447}, -- 主起落架坐标
	tand_gear_max							=	0.466, --+/-25度
	tanker_type								=	4, -- 如果飞机能够进行空中加油，则选择加油机类型
	wing_area									=  42.2, --机翼面积（m2）
	wing_span								=	12.8, -- 机翼跨度
	wing_type 								= 	0, --2 FIXED_WING = 0/VARIABLE_GEOMETRY = 1/FOLDED_WING = 2/ARIABLE_GEOMETRY_FOLDED = 3
													-- 固定翼 = 0 / 可变几何 = 1 / 折叠机翼 = 2 / 可变的几何体折叠翼 = 3
	thrust_sum_max						=	15200, -- 推力（单位：kg）   推力总和最大值
	thrust_sum_ab							=	25000, 
	length										=	21, -- 全长（m）
	height										=	6.22, -- 高度（m）
	flaps_maneuver						=	1.0, -- 起飞和机动时的最大襟翼（0.5=第一级；1.0=第二级）（用于AI）
	range										=	3740, -- 最大范围（以公里为单位）（适用于AI）
	RCS											=	0.5, -- 雷达散射截面
	IR_emission_coeff						=	1, -- 红外发射系数 普通发动机IR_emission_coeff = 1是没有加力的苏-27。这是参考。
	IR_emission_coeff_ab				=	5, -- 加力燃烧室
	wing_tip_pos 							= 	{-4.665, -0.281, 6.098},  --(前后，上下，左右) -- 翼尖坐标，提供视觉效果
	nose_gear_wheel_diameter 		= 	0.537, -- 前齿轮直径 单位：m
    main_gear_wheel_diameter 		= 	0.847, -- 主齿轮直径 单位：m
	brakeshute_name						=	3, -- 着陆-分离后制动滑槽的视觉形状
	is_tanker									=	false, --油 是/否  好像说是否是加油机
	--air_refuel_receptacle_pos 			= {0,0,0.00}, -- 加油的坐标  前后 上下，左右
	
	engines_count							=	2, -- 引擎数量
	engines_nozzles = 
	{
		[1] = 
		{
			pos 	 										=  {-7.506, -0.176,-0.686}, --右发坐标
			elevation   								=  0, -- 加力燃烧室锥体高度（火焰上升时为正值） 不知道是什么效果
			diameter	 								= 	0.96, --马赫环直径
			exhaust_length_ab   				= 	9.0, --长度（m）
			exhaust_length_ab_K 				= 	0.629, --动画   马赫环动画
			smokiness_level 						= 	0.1, --烟  烟雾浓度
			afterburner_effect_texture 		= "afterburner_J20", -- 马赫环贴图
		}, 
        [2] = 
		{
			pos 											=  {-7.506,-0.176,0.686}, --左发坐标
			elevation   								=  0, -- 加力燃烧室锥体高度（火焰上升时为正值） 不知道是什么效果
			diameter	 								= 	0.96,  --马赫环直径
			exhaust_length_ab   				= 	9.0, --长度（m）
			exhaust_length_ab_K 				= 	0.629, --动画   马赫环动画
			smokiness_level 						= 	0.1,--烟  烟雾浓度
			afterburner_effect_texture 		= "afterburner_J20", -- 马赫环贴图
		}, 
	},
	
	crew_size					=	1, -- 驾驶员人数
	crew_members = 
	{
		[1] = 
		{
			ejection_seat_name			=	9, -- 弹射座椅名称
			-- drop_canopy_name		=	35,
			drop_canopy_name			=	'J-99A-CANOPY', --顶棚名称
			pos 									= 	{5.64,0.944,0}, --位置坐标
		}, -- end of [1]
	}, -- end of crew_members

		fires_pos = 
		{
			[1] = 	{-1.351,	0.256,	   	0},
			[2] = 	{-1.981,	0.249,		1.16},
			[3] = 	{-1.981,	0.249,		-1.16},
			[4] = 	{-2.32,		0.0245,		2.074},
			[5] = 	{-2.32,		0.0245,		-2.074},
			[6] = 	{-2.82,		-0.255,		3.574},
			[7] = 	{-2.82,		-0.255,		-3.574},
			[8] = 	{-6.5,		0.2051,		0.}, 
			[9] = 	{-6.5,		0.251,		-0.},
		}, -- end of fires_pos
	
	
		

	
	nose_gear_amortizer_direct_stroke					= 	0, -- 从机头齿轮位置向下！！！前起落架缓冲直接行程
	nose_gear_amortizer_reversal_stroke				= 	-0.150293, -- 向上 前齿轮减速器反向行程
	nose_gear_amortizer_normal_weight_stroke		= 	-0.14, -- 从前起落架位置向下  前起落架正常重量行程

	main_gear_amortizer_direct_stroke					=	0.,	--从主齿轮位置降下！！！  主减速器直接行程
	main_gear_amortizer_reversal_stroke				= 	-0.164258, -- 向上  主减速器反转行程
	main_gear_amortizer_normal_weight_stroke		= 	-0.150,	--从主齿轮位置向下 主齿轮缓冲器正常重量行程
	
	stores_number				=	10, -- 编号
		
		
	   Countermeasures 		= {   -- 对抗措施
       ECM = "AN/ALQ-165"
       },


	
		passivCounterm = { -- 被动计数器
		CMDS_Edit = true,
		SingleChargeTotal = 5000,
		chaff = {default = 2500, increment = 100, chargeSz = 1},
		flare = {default = 2500,  increment = 100, chargeSz = 1},
	},

	chaff_flare_dispenser 	= {
		{ dir =  {-1, 0, -0.1}, pos =  {-5.0,  0.3, -0.78}, }, -- Flares 
		{ dir =  {-1, 0,  0.1}, pos =  {-5.0,  0.3,  0.78}, }, -- Flares 
	},

		
		
        LandRWCategories =  --地面RW类别
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
        }, -- end of LandRWCategories
              MaxFuelWeight = "6000",
              MaxHeight = "18200",
              MaxSpeed = "1920",
              MaxTakeOffWeight = "25401",
              Picture = "J-99A.png",
              Rate = "50",
              Shape = "J-99A",
			  
        TakeOffRWCategories = -- 起飞RW类别
        {
            [1] = 
            {
                Name = "AircraftCarrier With Catapult",
            }, -- end of [1]
			[2] = 
            {
				Name = "AircraftCarrier With Tramplin",
            }, -- end of [2]
        }, -- end of TakeOffRWCategories

			
	--sensors 传感器
	detection_range_max		 = 306000.0, -- 检测范围最大值
	radar_can_see_ground 	 = true, -- 雷达能看到地面
    EPLRS                    = true,	
	CanopyGeometry = {
    azimuth = {-160.0, 160.0}, -- 方位角
    elevation = {-50.0, 90.0} -- 高程
        },
--[[
    Sensors = {	
    RADAR = "AN/APG-71",
    IRST = "OLS-27",
    OPTIC = {"TADS DTV", "TADS DVO", "TADS FLIR"},
    RWR = "Abstract RWR"    
	},
]]
--[[
		Sensors 		= { -- 传感器
			RADAR 			= "AN/APG-63",--F15  雷达
			IRST 			= "OLS-27",  -- 红外搜索与跟踪
			OPTIC 			= {"TADS DTV", "TADS DVO", "TADS FLIR"},  -- 光学的
			RWR 			= "Abstract RWR" --F15  雷达告警器
		},
]]		
        Sensors = {
            RADAR           = "KLJ-7",
            RWR             = "Abstract RWR",
        },
Countermeasures = { -- 对抗措施
ECM 			= "AN/ALQ-135"--F15
},


	Failures = { -- 故障管理
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
	},
	HumanRadio = { -- 人类无线电
		frequency = 127.5,  -- Radio Freq 无线电频率
		editable = true, -- 可编辑
		minFrequency = 100.000, -- 最小频率
		maxFrequency = 156.000, -- 最大频率
		modulation = MODULATION_AM -- 调幅
	},
	mapclasskey = "P0091000024",


    Guns = {
        gun_mount('GSh_30_1', 
		{ count = 550 }, 
		
		{
                    muzzle_pos = {3.31, -0.62, -0.41},
                    elevation_initial = 2.0,
                    drop_cartridge = 203,
                    ejector_dir = {7.0 ,-1.0,0.5},
                    ejector_pos	= { -1.2, -0.1 ,  0.0},		
		}			
        ),
    },

Pylons = {
	
  	pylon(1, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon1",arg = 309,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_PL-5EII", arg_value = 0.1 },						
            }
        ),
     	pylon(2, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon2",arg = 62,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_PL-5EII", arg_value = 0.1 },
				{ CLSID = "{PL8}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_SD-10", arg_value = 0.2 },
                { CLSID = "DIS_SD-10_DUAL_L", arg_value = 0 },
                { CLSID = "DIS_LD-10", arg_value = 0.2 },
                { CLSID = "DIS_LD-10_DUAL_L", arg_value = 0 },
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.3 }, -- Mk-82 Snakeye
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.3 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.6 }, -- Mk-83
                { CLSID = "DIS_MK_20", arg_value = 0.5 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_12", arg_value = 0.5 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.5 },
                { CLSID = "DIS_TYPE200_DUAL_L", arg_value = 0.5 },
                { CLSID = "DIS_MK_82_DUAL_GDJ_II19_L",  arg_value = 0.3 }, -- Mk-82 x2 gjd-ii19
                { CLSID = "DIS_MK_82S_DUAL_GDJ_II19_L", arg_value = 0.3 }, -- Mk-82 Snakeye x2 gjd-ii19
                { CLSID = "DIS_MK_20_DUAL_GDJ_II19_L",  arg_value = 0.3 }, -- Mk-20 Rockeye x2 gjd-ii19
                { CLSID = "DIS_GBU_12_DUAL_GDJ_II19_L", arg_value = 0.3 }, -- GBU-12 x2 gjd-ii19
            }
        ),
	pylon(3, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon3",arg = 620,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "{YJ_91AS}",  arg_value = 0.2, Type = 1}, -- Kh-31P		       YJ_91AS   		
                { CLSID = "DIS_DF4B_YJ12", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_DF4A_KD20", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_GDJ_YJ83K", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "DIS_C-802AK", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_HE", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_10", arg_value = 0.2 }, -- GBU-10
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.3 },						
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
            }
        ),
	pylon(4, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon4",arg = 508,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "{YJ_91AS}",  arg_value = 0.2, Type = 1}, -- Kh-31P		       YJ_91AS   		
                { CLSID = "DIS_DF4B_YJ12", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_DF4A_KD20", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_GDJ_YJ83K", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "DIS_C-802AK", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_HE", arg_value = 0.1, Type = 1 },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_10", arg_value = 0.2 }, -- GBU-10
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.3 },						
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
                { CLSID = "DIS_SPJ_POD",   arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_SPJ_POD"}},  {station = 6, loadout = {"DIS_SPJ_POD"}}} },

            }
        ), 
	pylon(5, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon5",arg = 3100,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },			
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.2 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_GBU_10", arg_value = 0.3 }, -- GBU-10
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_WMD7",      arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SPJ_POD",   arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_SPJ_POD"}},  {station = 6, loadout = {"DIS_SPJ_POD"}}} },
				
            }
        ), 
	pylon(6, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon6",arg = 310,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "{YJ_91AS}",  arg_value = 0.2, Type = 1}, -- Kh-31P		       YJ_91AS   		
                { CLSID = "DIS_DF4B_YJ12", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_DF4A_KD20", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_GDJ_YJ83K", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "DIS_C-802AK", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_HE", arg_value = 0.1, Type = 1 },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_10", arg_value = 0.2 }, -- GBU-10
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.3 },						
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
                { CLSID = "DIS_SPJ_POD",   arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_SPJ_POD"}},  {station = 6, loadout = {"DIS_SPJ_POD"}}} },
								
            }
        ), 
	pylon(7, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon7",arg = 311,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "{YJ_91AS}",  arg_value = 0.2, Type = 1}, -- Kh-31P		       YJ_91AS   		
                { CLSID = "DIS_DF4B_YJ12", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_DF4A_KD20", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_GDJ_YJ83K", arg_value = 1.0, Type = 1 }, --
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "DIS_C-802AK", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_HE", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_10", arg_value = 0.2 }, -- GBU-10
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.3 },						
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
            }
        ), 
	pylon(8, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon8",arg = 312,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_PL-5EII", arg_value = 0.1 },
				{ CLSID = "{PL8}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_SD-10", arg_value = 0.2 },
                { CLSID = "DIS_SD-10_DUAL_L", arg_value = 0 },
                { CLSID = "DIS_LD-10", arg_value = 0.2 },
                { CLSID = "DIS_LD-10_DUAL_L", arg_value = 0 },
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.3 }, -- Mk-82 Snakeye
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.3 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.6 }, -- Mk-83
                { CLSID = "DIS_MK_20", arg_value = 0.5 }, -- Mk-20 Rockeye
                { CLSID = "DIS_GBU_12", arg_value = 0.5 }, -- GBU-12
                { CLSID = "DIS_TYPE200", arg_value = 0.5 },
                { CLSID = "DIS_TYPE200_DUAL_L", arg_value = 0.5 },
                { CLSID = "DIS_MK_82_DUAL_GDJ_II19_L",  arg_value = 0.3 }, -- Mk-82 x2 gjd-ii19
                { CLSID = "DIS_MK_82S_DUAL_GDJ_II19_L", arg_value = 0.3 }, -- Mk-82 Snakeye x2 gjd-ii19
                { CLSID = "DIS_MK_20_DUAL_GDJ_II19_L",  arg_value = 0.3 }, -- Mk-20 Rockeye x2 gjd-ii19
                { CLSID = "DIS_GBU_12_DUAL_GDJ_II19_L", arg_value = 0.3 }, -- GBU-12 x2 gjd-ii19
            }
        ), 		
	pylon(9, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon9",arg = 313,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_PL-5EII", arg_value = 0.1 },			
            }
        ), 
    pylon(10,1, 2.575000, -1.568000, -0.515000, {use_full_connector_position=false,connector = "LYL",arg = 314,arg_value = -1.0, FiZ = -1},
            {			
                { CLSID = "DIS_WMD7",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },				
            }
        ), 		
    pylon(11, 1, 2.575000, -1.568000, 0.515000, {use_full_connector_position=false,connector = "LYR",arg = 315,arg_value = -1.0, FiZ = -1},
            {			
                { CLSID = "DIS_WMD7",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },				
            }
        ), 

	

	},
	 
	Tasks = {  -- 工作 飞机飞行任务
        aircraft_task(CAP),
     	aircraft_task(Escort),
      	aircraft_task(FighterSweep),
		aircraft_task(Intercept),
		aircraft_task(Reconnaissance),
		aircraft_task(GroundAttack),
		aircraft_task(CAS),
        aircraft_task(AFAC),
	    aircraft_task(RunwayAttack),
  	    aircraft_task(AntishipStrike),
    },	
	DefaultTask = aircraft_task(GroundAttack),  -- 默认任务 地面攻击

SFM_Data = {
	aerodynamics = {
		Cy0 		= 0, -- 零AoA升力系数
		Mzalfa 		= 4.355, -- 尾距系数M0.9
		Mzalfadt 	= 0.9, -- 机翼俯仰系数M0.9
		kjx 		= 2.7, --滚转加速率，单位为rad/sec2.7
		kjz 		= 0.05225, -- 电梯或stab控制功率系数/俯仰阻尼系数
		Czbe 		= -0.016, -- 方向稳定性系数沿Z轴（垂直）影响偏航，负值表示FC坐标系中的力方向
		cx_gear 	= 0.0268, -- 机轮阻力系数
		cx_flap 	= 0.073, -- 全襟翼阻力系数
		cy_flap 	= 0.72, -- 襟翼垂直升力系数
		cx_brk 		= 0.04, -- 减速板阻力系数0.06
	--880以上机头向上  880一下机头向下
	table_data = {
	--   M		Cx0		 	Cya		B			B4	    		Omxmax	Aldop			Cymax
		{0, 		0.045, 		0.077, 	0.1, 		0.032, 			0.65, 		25, 			1.6}, 
		{0.2, 	0.045, 		0.077, 	0.1, 		0.032, 			1.95, 		25, 			1.6}, 
		{0.4, 	0.045, 		0.077, 	0.1, 		0.032, 			2.7, 			25, 			1.6}, 
		{0.6, 	0.045, 		0.066, 	0.094, 	0.043, 			2.7, 			24, 			1.5}, 
		{0.7, 	0.045, 		0.066, 	0.094, 	0.045, 			2.7, 			23, 			1.45}, 
		{0.8, 	0.045,		0.066, 	0.094, 	0.048, 			2.7, 			21, 			1.4}, 
		{0.9, 	0.045, 		0.066, 	0.11, 	0.05, 			2.7, 			20, 			1.3}, 
		{1, 		0.015, 		0.066, 	0.15, 	0.1, 				2.7, 			18, 			1.2}, 
		{1.1, 	0.010, 		0.066, 	0.15, 	0.1, 				2.7, 			16, 			1.1}, 
		{1.2, 	0.015, 		0.066, 	0.14, 	0.1, 				2.7, 			17, 			1.05}, 
		{1.3, 	0.035, 		0.066, 	0.17, 	0.096, 			2.28, 		15, 			1}, 
		{1.5, 	0.025, 		0.066, 	0.23, 	0.09, 			1.95, 		13, 			0.9}, 
		{1.8, 	0.021, 		0.051, 	0.23, 	0.38, 			1.17, 		12, 			0.7}, 
		{2, 		0.009, 		0.043, 	0.08, 	2.5, 				1.04, 		10.5, 		0.55}, 
		{2.2, 	0.009, 		0.037, 	0.16, 	3.2, 				0.91, 		9, 			0.4}, 
		{2.5, 	0.009, 		0.036, 	0.25, 	4.5, 				0.91, 		9, 			0.4}, 
		{3.9, 	0.009, 		0.033, 	0.35, 	6, 				0.8, 			9, 			0.4}
	}
	-- M - 马赫数
	-- Cx0 - Coefficient, drag, profile, of the airplane飞机的系数、阻力、剖面
	-- Cya - Normal force coefficient of the wing and body of the aircraft in the normal direction to that of flight. Inversely proportional to the available G-loading at any Mach value. (lower the Cya value, higher G available) per 1 degree AOA
			--飞机机翼和机身在垂直于飞行方向上的法向力系数。与任何马赫值下的可用G载荷成反比。（Cya值越低，可用G值越高）每1度AOA
	-- B - Polar quad coeff  极四元系数
	-- B4 - Polar 4th power coeff  极四次方系数
	-- Omxmax - roll rate, rad/s  滚动速率，rad/s
	-- Aldop - Alfadop Max AOA at current M - departure threshold  当前M时的Alfadop最大AOA-离开阈值
	-- Cymax - Coefficient, lift, maximum possible (ignores other calculations if current Cy > Cymax)
			--最大可能升力系数（如果当前Cy>Cymax，则忽略其他计算）
}, 

	engine = {
		Nmg 			= 67.5, -- RPM at idle
		MinRUD 		= 0, -- 油门的最小状态
		MaxRUD 		= 1, -- 油门的最大状态
		MaksRUD 	= 0.85, -- 军推油门的状态
		ForsRUD 		= 0.91, -- 油门的加力状态
		typeng 		= 1, 
		hMaxEng 	= 19.5, -- 发动机安全运行的最大高度（km）
		dcx_eng 		= 0.0124, -- 发动机阻力系数
		cemax 			= 0.01, -- 不用于燃油计算，仅用于AI例行程序检查飞行时间（内置燃油计算算法）
		cefor 			= 0.05, -- 不用于燃油计算，仅用于AI例行程序检查飞行时间（内置燃油计算算法）
		dpdh_m 		= 8000, -- 最大推力高度系数
		dpdh_f 		= 18000, --AB加力推力高度系数
 
	table_data = {
	--   M		Pmax		 	Pfor	
		{0, 		150000, 		300000}, 
		{0.2, 	150000, 		300000}, 
		{0.4, 	155000, 		310000}, 
		{0.45, 	158000, 		316000}, 
		{0.64, 	160000, 		320000}, 
		{0.7, 	180000, 		360000}, 
		{0.8, 	180000, 		360000}, 
		{0.9, 	200000, 		400000}, 
		{1, 		230000, 		400000}, 
		{1.1, 	230000, 		400000}, 
		{1.2, 	200000, 		400000}, 
		{1.3, 	200000, 		400000}, 
		{1.5, 	180000, 		400000}, 
		{1.8, 	160000, 		400000}, 
		{2, 		150000, 		400000}, 
		{2.2, 	150000, 		400000}, 
		{2.5, 	150000, 		400000}, 
		{3.9, 	150000, 		400000}
		}
		-- M - 马赫数
		--Pmax - 军用动力下的发动机推力
		--Pfor - AFB时的发动机推力
		
		}
},
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
				[0]  = {critical_damage = 5, 	args = {82}},
				[3]  = {critical_damage = 10, 	args = {65}},
				[8]  = {critical_damage = 10},
				[11] = {critical_damage = 3},
				[12] = {critical_damage = 3},
				[15] = {critical_damage = 10},
				[16] = {critical_damage = 10},
				[17] = {critical_damage = 3},
				[18] = {critical_damage = 3},
				[25] = {critical_damage = 5, 	args = {53}},
				[26] = {critical_damage = 5, 	args = {54}},
				[35] = {critical_damage = 10, 	args = {67}, deps_cells = {25, 37}},
				[36] = {critical_damage = 10, 	args = {68}, deps_cells = {26, 38}},
				[37] = {critical_damage = 4, 	args = {55}},
				[38] = {critical_damage = 4, 	args = {56}},
				[43] = {critical_damage = 4, 	args = {61}, deps_cells = {53}},
				[44] = {critical_damage = 4, 	args = {62}, deps_cells = {54}},
				[47] = {critical_damage = 5, 	args = {63}, deps_cells = {51}},
				[48] = {critical_damage = 5, 	args = {64}, deps_cells = {52}},
				[51] = {critical_damage = 2, 	args = {59}},
				[52] = {critical_damage = 2, 	args = {60}},
				[53] = {critical_damage = 2, 	args = {57}},
				[54] = {critical_damage = 2, 	args = {58}},
				[55] = {critical_damage = 5, 	args = {81}},
				[83] = {critical_damage = 3, 	args = {134}}, -- nose wheel 前轮                                 
				[84] = {critical_damage = 3, 	args = {136}}, -- left wheel  左轮                             
				[85] = {critical_damage = 3, 	args = {135}}, -- right wheel   右轮
	},
	
	DamageParts = 
	{  
		[1] = "J-99A-oblomok-wing-r", -- wing R   右翼尖
		[2] = "J-99A-oblomok-wing-l", -- wing L   左翼尖
		[3] = "J-99A-oblomok-noise",  -- nose     头部
		[4] = "J-99A-oblomok-tail-r", -- tail	  尾
		[5] = "J-99A-oblomok-tail-l", -- tail     尾
	},
	
		effects_presets = {    -- 预设效果 机背气流效果
		
		{effect = "OVERWING_VAPOR", file = current_mod_path.."/Effects/J-99A_overwingVapor.lua"},
		
    
		 
		 
		 
	},
	
		-- lights_data   position = {-6.82, 2.94, -2.26}

	lights_data = {  typename = 'collection',  lights = {
					[WOLALIGHT_STROBES] = {
						typename = "collection",
						lights = {	--频闪
							{
							typename = "natostrobelight", 
								connector = "PS1",
								argument = 802,
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe",   period = 1.33333,}, 		
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS2", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS3", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS4", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
                    }
						
				},
		--[WOLALIGHT_SPOTS] = { typename = 'collection', lights = { {typename = 'argumentlight', argument = 208},  }, },
			
			[WOLALIGHT_NAVLIGHTS] = { typename = 'collection',
			
				lights = {
					{  	typename = 'omnilight',  
							connector = "zuoyijian1", 
							argument = 190, 
							color = {255,0,0},
							range = 10,
							brightness = 65,
					}, -- left tip	 左翼尖1
					{  	typename = 'omnilight',  
							connector = "zuoyijian2", 
							argument = 190, 
							color = {255,0,0},
							range = 10,
							brightness = 65,
					}, -- left tip	 左翼尖2
					
					{  	typename = 'omnilight',  
							connector = "youyijian1", 
							argument = 191, 
							color = {0,255,18},
							range = 10,
							brightness = 65,
					},  --right tip   右翼尖1
					{  	typename = 'omnilight',  
							connector = "youyijian2", 
							argument = 191, 
							color = {0,255,18},
							range = 10,
							brightness = 65,
					},  --right tip   右翼尖2
					
					
					
					--=============编队灯=================--
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD1", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
							-- dir_correction = {elevation = math.rad(-1)}
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD2", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD3", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD4", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					
					
					
					
					-- {   --按下右ctrl+l一次
                        -- typename = "natostrobelight", 
							-- connector = "PS1",
							-- argument = 802,
							-- proto = { color = {1.0, 1.0, 1.0, 0.012 * math.sqrt(1000)}, range = 50.0, angle_max = math.rad(180.0), angle_min = math.rad(180.0), controller = "Strobe", period = 2.66666,},
                    -- },	
					-- {  	typename = 'omnilight',  
							-- connector = "PS3", 
							-- argument = 191, 
							-- proto = { color = {1.0, 1.0, 1.0, 0.012 * math.sqrt(1000)}, range = 50.0, angle_max = math.rad(180.0), angle_min = math.rad(180.0), controller = "Strobe", period = 2.66666,},
					-- },
					
					},
                    },
					
					
					[WOLALIGHT_SPOTS] = { typename = 'collection', lights = { {typename = 'argumentlight', connector = "RIGHT_MAIN_SPOT", argument = 208},  },  },
					[WOLALIGHT_TAXI_LIGHTS] = { typename = 'collection',lights = {  {typename = 'argumentlight', connector = "NOSE_TAXI_SPOT", argument = 209}, }, },
					
			
			
			
			}
	 	}

-- end lights_data

		
	
	}

add_aircraft(J_99A)